using ASHermed.SinoInterface.Api.ContractModel;
using ASHermed.SinoInterface.Api.ContractModel.App;
using ASHermed.SinoInterface.Api.ContractModel.Payment.Model;
using ASHermed.SinoInterface.Api.ContractModel.Payment.Param;
using ASHermed.SinoInterface.ContractModel;
using System;
using System.Collections.Generic;
using System.Text;

namespace ASHermed.SinoInterface.Api.IService.Payment
{
    /// <summary>
    /// 支付相关
    /// </summary>
    public interface IPaymentService
    {
        /// <summary>
        /// 
        /// </summary>
        /// <param name="param"></param>
        /// <returns></returns>
        BaseResponse<string> OrderPay(PayInfo param);
        BaseResponse<LcTradeAPPPayModel> OrderAPPPay(AppPayInfo param);
        /// <summary>
        /// 
        /// </summary>
        /// <param name="param"></param>
        /// <returns></returns>
        BaseResponse<LcTradeQueryModel> LcTradeQuery(LcTradeQueryParam param);

        
        BaseResponse UpdateReVisitStatus(UpdateReVisitReq model);

        BaseResponse PrescriptionSign(PrescriptionParam model);

        BaseResponse<List<LKDrugs>> GetMedicineList();

        BaseResponse ConfirmPrescriptionOrder(PrescriptionOrderReq model);
    }
}
